Bug 992963 - Review Request: fts-mysql - FTS v3 MySQL database plugin
Review Request: fts-mysql - FTS v3 MySQL database plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alejandro Alvarez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 05:55 EDT by michal.simon
Modified: 2014-09-10 10:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: fts-mysql-3.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 15:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.alvarezayllon: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description michal.simon 2013-08-05 05:55:17 EDT
Spec URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-mysql.spec

SRPM URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-mysql-3.1.0-1.el6.src.rpm

Description: fts-mysql is a MySQL database plug-in the File Transfer Service V3.

Fedora Account System Username: simonm

Koji build for epel6 and rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5777449
http://koji.fedoraproject.org/koji/taskinfo?taskID=5777743
Comment 1 Alejandro Alvarez 2013-08-06 09:28:01 EDT
Hi,

I would say there is no need for the -devel rpm.

The instructions point to trunk. That's not a big problem, since the tar.gz you specify is the right one, but those steps won't allow anyone to get the same snapshot as you used. It would be better if you specify the revision.

Do not have a dependency on fts-libs with the release number. The release number may be increased externally (i.e. rebuild because of a boost change, as actually happened), and then you got your dependencies broken for no reason.
Comment 2 michal.simon 2013-08-07 10:45:56 EDT
Spec URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-mysql.spec

SRPM URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-mysql-3.1.1-1.el6.src.rpm

- the '-devel' rpm has been removed
- now the instruction points to the tag with the right snapshot 
- fts-lib dependency has been removed
Comment 3 Alejandro Alvarez 2013-08-08 03:17:22 EDT
Two more things:

- Do not detail the changes done by upstream in the spec file's changelog. Only changes that apply to the packaging itself belong there.
You can add a link to upstream's changelog if you wish, though.

- /usr/share/doc/fts3/ isn't owned by anybody, and the rpm is putting files there.
Additionally, those files _are_ needed for the rpm to work properly, since they are the sql files needed to initialize the db.

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#PackageDocumentation

"""Also, if a package includes something as %doc, it must not affect the runtime of the packaged application(s). To summarize: If it is in %doc, the included programs must run properly if it is not present."""

My suggestion: move them to /usr/share/fts-mysql/, and remember to own the directory.
Comment 4 michal.simon 2013-08-08 08:59:04 EDT
Thanks for your comments.

- changelog has been cleaned
- sql scripts have been moved to datadir as you suggested 

Spec URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-mysql.spec

SRPM URL: https://grid-deployment.web.cern.ch/grid-deployment/dms/fts3/epel_release/fts-mysql-3.1.1-1.el6.src.rpm
Comment 5 Alejandro Alvarez 2013-08-08 10:13:53 EDT
Builds in EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=5794478
Builds in Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=5794498

rpmlint clean
$ rpmlint /home/aalvarez/rpmbuild/RPMS/x86_64/fts-mysql-3.1.1-1.fc20.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

MUST
====

[OK] The package must be named according to the Package Naming Guidelines.
[OK] Package does not use a name that already exist.
[OK] The spec file name must match the base package %{name}, in the format %{name}.spec
[OK] Spec file lacks Packager, Vendor, PreReq tags.
[OK] Changelog in prescribed format.
[OK] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[OK] The License field in the package spec file must match the actual license.
[OK] The spec file must be written in American English.
[OK] The spec file for the package MUST be legible.
[--] If a rename, provides/obsoletes is specified.
[--] The spec file MUST handle locales properly.
[OK] Every binary RPM package which stores shared library files in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

[OK] If the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] -debuginfo package or justification otherwise.
[--] Development files must be in a -devel package.
[--] Static libraries must be in a -static package.
[OK] Devel packages must require the base package using a fully versioned dependency
[--] Large documentation files must go in a -doc subpackage.

[OK] The sources used to build the package must match the upstream source, as provided in the spec URL.
	
[OK] The package must contain code, or permissable content.

[OK] Package obeys FHS, except libexecdir and /usr/target.
[OK] Packages must NOT contain any .la libtool archives.
[OK] Packages must not own files or directories already owned by other packages
[--] Packages containing GUI applications must include a %{name}.desktop file.
[OK] A Fedora package must not list a file more than once in the spec file's %files listings.
[OK] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

[OK] Packages must NOT bundle copies of system libraries
[--] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[OK] All filenames in rpm packages must be valid UTF-8.
[OK] Permissions on files must be set properly.

[OK] Each package must consistently use macros.
[OK] No external kernel modules
[OK] No inclusion of pre-built binaries or libraries
[OK] No need for external bits
[OK] All build dependencies must be listed in BuildRequires.
[OK] If a package includes something as %doc, it must not affect the runtime of the application.
[OK] %build honors applicable compiler flags or justifies otherwise.
[OK] The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[--] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[OK] Package installs properly.

SHOULD
======
[--] All patches have an upstream bug link or comment
[OK] The source package does not include license text(s) as a separate file from upstream.
[OK] No PreReq
[OK] %makeinstall is not used
[OK] Timestamp is preserved
[OK] Parallel make
[--] Subpackages other than devel should require the base package using a fully versioned dependency.
[OK] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[--] The placement of pkgconfig(.pc) files should be in a -devel pkg
[OK] The package builds in mock.
[OK] The package should compile and build into binary rpms on all supported architectures.
[OK] The package functions as described.
[OK] If scriptlets are used, those scriptlets must be sane.
[--] The package should contain man pages for binaries/scripts
[--] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
Comment 6 Alejandro Alvarez 2013-08-08 10:14:19 EDT
Accepted.
Comment 7 michal.simon 2013-08-08 10:22:14 EDT
New Package SCM Request
=======================
Package Name: fts-mysql
Short Description: The File Transfer Service V3 mysql plug-in
Owners: simonm aalvarez
Branches: el6
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-08 11:46:52 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-08-08 12:23:39 EDT
fts-mysql-3.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fts-mysql-3.1.1-1.el6
Comment 10 Fedora Update System 2013-08-16 13:10:48 EDT
fts-mysql-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2013-08-31 15:20:42 EDT
fts-mysql-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Alejandro Alvarez 2014-09-10 09:33:04 EDT
Package Change Request
======================
Package Name: fts-mysql
New Branches: epel7
Owners: simonm aalvarez
Comment 13 Gwyn Ciesla 2014-09-10 10:11:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.